utl::meta::at_impl::at_head_< typelist< voids... > > Struct Template Reference

`#include <typelist.h>`

## Static Public Member Functions

template<typename T >
static constexpr T | select (voids..., T *,...)
static constexpr nil_ | select (...)

## Detailed Description

### template<typename... voids>
struct utl::meta::at_impl::at_head_< typelist< voids... > >

Definition at line 218 of file typelist.h.

## Member Function Documentation

## select() [1/2]

template<typename... voids>
template<typename T >

static constexpr T utl::meta::at_impl::at_head_< typelist< voids... > >::select | ( | voids... | ,
|  | T * | ,
|  |  | ...
| ) |  |

static

## select() [2/2]

template<typename... voids>

static constexpr nil_ utl::meta::at_impl::at_head_< typelist< voids... > >::select | ( |  | ... | ) |

static

The documentation for this struct was generated from the following file:

- include/utl/meta/typelist.h